classification
Title: Make return types of wrap_bio and wrap_socket customizable
Type: enhancement Stage: resolved
Components: SSL Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder: Cannot create ssl.SSLSocket without existing socket
View: 27629
Assigned To: christian.heimes Nosy List: christian.heimes
Priority: normal Keywords:

Created on 2017-09-07 19:15 by christian.heimes, last changed 2017-09-17 14:35 by christian.heimes. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3426 merged christian.heimes, 2017-09-07 19:26
Messages (2)
msg301615 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-07 19:15
SSLSocket.wrap_bio() and SSLSocket.wrap_socket() hard-code SSLObject and SSLSocket as return types. In the light of future deprecation of ssl.wrap_socket() module function and direct instantiation of SSLSocket, it is desirable to make the return type of SSLSocket.wrap_bio() and SSLSocket.wrap_socket() customizable.

Also see #27629
msg302285 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-15 18:26
New changeset 4df60f18c64ba2835e68bf3eed08d8002a00f4ac by Christian Heimes in branch 'master':
bpo-31386: Custom wrap_bio and wrap_socket type (#3426)
https://github.com/python/cpython/commit/4df60f18c64ba2835e68bf3eed08d8002a00f4ac
History
Date User Action Args
2017-09-17 14:35:52christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-09-15 18:26:07christian.heimessetmessages: + msg302285
2017-09-07 19:26:46christian.heimessetpull_requests: + pull_request3423
2017-09-07 19:15:14christian.heimessetsuperseder: Cannot create ssl.SSLSocket without existing socket
2017-09-07 19:15:02christian.heimescreate